OpenMS: Interpretation Struct Reference

| OpenMS 2.5.0

Public Types | Public Member Functions | Public Attributes | List of all members
Interpretation Struct Reference

Product ion interpretation. More...

`#include <OpenMS/ANALYSIS/TARGETED/TargetedExperimentHelper.h>`

Inheritance diagram for Interpretation:

## Public Types

typedef Residue::ResidueType | IonType
| Interpretation IonType. More...

## Public Member Functions

| Interpretation ()
Operators assignment, equality, inequality
bool | operator== (const Interpretation &rhs) const
bool | operator!= (const Interpretation &rhs) const
Public Member Functions inherited from CVTermListInterface
bool | operator== (const CVTermListInterface &rhs) const
| equality operator More...
bool | operator!= (const CVTermListInterface &rhs) const
| inequality operator More...
void | replaceCVTerms (Map< String, std::vector< CVTerm > > &cv_terms)
void | setCVTerms (const std::vector< CVTerm > &terms)
| sets the CV terms More...
void | replaceCVTerm (const CVTerm &cv_term)
| replaces the specified CV term More...
void | replaceCVTerms (const std::vector< CVTerm > &cv_terms, const String &accession)
| replaces the specified CV terms using the given accession number More...
void | replaceCVTerms (const Map< String, std::vector< CVTerm > > &cv_term_map)
| replaces all cv terms with a map (can be obtained via getCVTerms) More...
void | consumeCVTerms (const Map< String, std::vector< CVTerm > > &cv_term_map)
| merges the given map into the member map, no duplicate checking More...
const Map< String, std::vector< CVTerm > > & | getCVTerms () const
| returns the accession string of the term More...
void | addCVTerm (const CVTerm &term)
| adds a CV term More...
bool | hasCVTerm (const String &accession) const
| checks whether the term has a value More...
bool | empty () const
| CVTermListInterface ()
| CVTermListInterface (const CVTermListInterface &rhs)
| Copy constructor. More...
| CVTermListInterface (CVTermListInterface &&) noexcept
| Move constructor. More...
| ~CVTermListInterface ()
CVTermListInterface & | operator= (const CVTermListInterface &rhs)
| Assignment operator. More...
CVTermListInterface & | operator= (CVTermListInterface &&) noexcept
| Move assignment operator. More...
Public Member Functions inherited from MetaInfoInterface
| MetaInfoInterface ()
| Constructor. More...
| MetaInfoInterface (const MetaInfoInterface &rhs)
| Copy constructor. More...
| MetaInfoInterface (MetaInfoInterface &&) noexcept
| Move constructor. More...
| ~MetaInfoInterface ()
| Destructor. More...
MetaInfoInterface & | operator= (const MetaInfoInterface &rhs)
| Assignment operator. More...
MetaInfoInterface & | operator= (MetaInfoInterface &&) noexcept
| Move assignment operator. More...
bool | operator== (const MetaInfoInterface &rhs) const
| Equality operator. More...
bool | operator!= (const MetaInfoInterface &rhs) const
| Equality operator. More...
const DataValue & | getMetaValue (const String &name, const DataValue &default_value=DataValue::EMPTY) const
| Returns the value corresponding to a string, or a default value (default: DataValue::EMPTY) if not found. More...
const DataValue & | getMetaValue (UInt index, const DataValue &default_value=DataValue::EMPTY) const
| Returns the value corresponding to an index, or a default value (default: DataValue::EMPTY) if not found. More...
bool | metaValueExists (const String &name) const
| Returns whether an entry with the given name exists. More...
bool | metaValueExists (UInt index) const
| Returns whether an entry with the given index exists. More...
void | setMetaValue (const String &name, const DataValue &value)
| Sets the DataValue corresponding to a name. More...
void | setMetaValue (UInt index, const DataValue &value)
| Sets the DataValue corresponding to an index. More...
void | removeMetaValue (const String &name)
| Removes the DataValue corresponding to `name` if it exists. More...
void | removeMetaValue (UInt index)
| Removes the DataValue corresponding to `index` if it exists. More...
void | getKeys (std::vector< String > &keys) const
| Fills the given vector with a list of all keys for which a value is set. More...
void | getKeys (std::vector< UInt > &keys) const
| Fills the given vector with a list of all keys for which a value is set. More...
bool | isMetaEmpty () const
| Returns if the MetaInfo is empty. More...
void | clearMetaInfo ()
| Removes all meta values. More...

## Public Attributes

unsigned char | ordinal
| MS:1000903 : product ion series ordinal (e.g. 8 for a y8 ion) More...
unsigned char | rank
| MS:1000926 : product interpretation rank (e.g. 1 for the most likely rank) More...
IonType | iontype
| which type of ion (b/y/z/ ...), see Residue::ResidueType More...

## Additional Inherited Members

Static Public Member Functions inherited from MetaInfoInterface
static MetaInfoRegistry & | metaRegistry ()
| Returns a reference to the MetaInfoRegistry. More...
Protected Member Functions inherited from MetaInfoInterface
void | createIfNotExists_ ()
| Creates the MetaInfo object if it does not exist. More...
Protected Attributes inherited from MetaInfoInterface
MetaInfo * | meta_
| Pointer to the MetaInfo object (0 by default) More...

## Detailed Description

Product ion interpretation.

The interpretation of a MS product ion (mostly has functions for peptides at the moment). Can store information about the ion type,

## Member Typedef Documentation

## ◆ IonType

typedef Residue::ResidueType IonType

Interpretation IonType.

## Constructor & Destructor Documentation

## ◆ Interpretation()

Interpretation | ( |  | ) |

inline

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const Interpretation & | rhs | ) | const

inline

References CVTermList::operator==().

## ◆ operator==()

bool operator== | ( | const Interpretation & | rhs | ) | const

inline

References Interpretation::iontype, CVTermListInterface::operator==(), Interpretation::ordinal, and Interpretation::rank.

## Member Data Documentation

## ◆ iontype

IonType iontype

which type of ion (b/y/z/ ...), see Residue::ResidueType

Referenced by Interpretation::operator==().

## ◆ ordinal

unsigned char ordinal

MS:1000903 : product ion series ordinal (e.g. 8 for a y8 ion)

Referenced by Interpretation::operator==().

## ◆ rank

unsigned char rank

MS:1000926 : product interpretation rank (e.g. 1 for the most likely rank)

Referenced by Interpretation::operator==().